Subject: Re: net-next + qemu

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 29 Dec 2014 09:03:11 +0200

On Sun, Dec 28, 2014 at 10:48:40PM -0800, Scott Feldman wrote:
> Hi Michael,
> 
> I was doing some testing with latest net-next and latest qemu and
> can't get Linux to load an image when using -drive
> file=xxx.img,if=virtio.  I git bisected net-next and the breakage
> happened on this commit in net-next:
> 
> 38eb4a2 virtio_pci: split out legacy device support
> 
> Qemu image will load if I remove if=virtio.
> 
> Are things in transition right now, and I just got unlucky with this
> combination of net-next and qemu?
> 
> -scott

Yes, if you make virtio-pci modular, it won't load unless
you have this commit:

commit 5ff16110c637726111662c1df41afd9df7ef36bd
Author: Herbert Xu <[email-masked]>
Date:   Wed Dec 17 00:54:03 2014 +0200

    virtio_pci: restore module attributes

So v3.19-rc1 is OK, but net-next/master is not.

Dave - will v3.19-rc1 be merged into net-next?
Could you please confirm?

-- 
MST